package be.jeffcheasey88.peeratcode.parser.java.operation;

import java.util.function.Function;

import be.jeffcheasey88.peeratcode.parser.java.JavaElement;
import be.jeffcheasey88.peeratcode.parser.java.Operation;
import be.jeffcheasey88.peeratcode.parser.java.Value;

public class ThrowOperation extends Operation{
	
	private Value value;
	
	public ThrowOperation(Value value){
		this.value = value;
	}
	
	public Value getValue(){
		return this.value;
	}

	@Override
	public <E extends JavaElement> E find(Function<JavaElement, Boolean> finder) {
		return finder.apply(value) ? (E)value : null;
	}

}
